<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

/**
 * Sd_Item_slotObject
**/
class Sd_Item_slotObject extends XoopsSimpleObject
{
    /**
     * Sd_Item_slotObject
     * 
     * @param   void
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_Item_slotObject()
    {
        $this->initVar('item_id', XOBJ_DTYPE_INT, '', false);
        $this->initVar('slot', XOBJ_DTYPE_INT, '', false);
        $this->initVar('drop_id', XOBJ_DTYPE_INT, '', false);
    }
}

/**
 * Sd_Item_slotHandler
**/
class Sd_Item_slotHandler extends XoopsObjectGenericHandler
{
    /**
     * @var  string
     * 
     * @public
    **/
    var $mTable = '{dirname}_item_slot';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mPrimary = 'item_id';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mClass = 'Sd_Item_slotObject';

    /**
     * Sd_Item_slotHandler
     * 
     * @param   XoopsDatabase  &$db
     * @param   string  $dirname
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_Item_slotHandler(&$db,$dirname)
    {
        $this->mTable = str_replace('{dirname}',$dirname,$this->mTable);
        parent::XoopsObjectGenericHandler($db);
    }
}

?>
