<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

/**
 * Sd_Pno_item_linkObject
**/
class Sd_Pno_item_linkObject extends XoopsSimpleObject
{
    /**
     * Sd_Pno_item_linkObject
     * 
     * @param   void
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_Pno_item_linkObject()
    {
        $this->initVar('pno', XOBJ_DTYPE_INT, '', false);
        $this->initVar('item_id', XOBJ_DTYPE_INT, '', false);
    }
}

/**
 * Sd_Pno_item_linkHandler
**/
class Sd_Pno_item_linkHandler extends XoopsObjectGenericHandler
{
    /**
     * @var  string
     * 
     * @public
    **/
    var $mTable = '{dirname}_pno_item_link';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mPrimary = 'pno';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mClass = 'Sd_Pno_item_linkObject';

    /**
     * Sd_Pno_item_linkHandler
     * 
     * @param   XoopsDatabase  &$db
     * @param   string  $dirname
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_Pno_item_linkHandler(&$db,$dirname)
    {
        $this->mTable = str_replace('{dirname}',$dirname,$this->mTable);
        parent::XoopsObjectGenericHandler($db);
    }
}

?>
