<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit();
}

/**
 * @class   Sd_CharlistUpdater
**/
class Sd_CharlistUpdater extends Sd_AbstractJsUpdater
{
    /**
     * @brief   Enum[]
    **/
    protected $_mHandlerList = array(
        SD_OBJECT_TYPE_ENO_PNO_LINK
    );
    
    
    /**
     * _save
     * 
     * @param   void
     * 
     * @return  void
    **/
    protected function _save()
    {
    }
    
    /**
     * Parse_Show_CharList
     * 
     * @param   string  $line
     * 
     * @return  void
    **/
    protected function Parse_Show_CharList(/*** string ***/ $line)
    {
        $arr = $this->_parseByRegex("/\((\d+),(\d+),'(.+)','(.+)'\)$/",$line);
        
        $link = $this->_mHandlers[SD_OBJECT_TYPE_ENO_PNO_LINK]->create();
        $link->setVars(
            array(
                'eno' => $arr[1],
                'pno' => $arr[2]
            )
        );
        
        $this->_insert(SD_OBJECT_TYPE_ENO_PNO_LINK,$link);
    }
}

?>
